SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Directory)  >   OpenLDAP Vendors:   OpenLDAP.org
OpenLDAP Null Pointer Dereference in deref_parseCtrl() Lets Remote Users Deny Service
SecurityTracker Alert ID:  1032399
SecurityTracker URL:  http://securitytracker.com/id/1032399
CVE Reference:   CVE-2015-1545   (Links to External Site)
Date:  May 26 2015
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 2.4.13 through 2.4.40
Description:   A vulnerability was reported in OpenLDAP. A remote user can cause denial of service conditions on the target system.

A remote user can send specially crafted data to trigger a null pointer dereference in deref_parseCtrl() in 'servers/slapd/overlays/deref.c' and cause the target slapd service to crash.

An empty attribute list in a deref control can trigger this flaw.

Impact:   A remote user can cause the target slapd service to crash.
Solution:   The vendor has issued a source code fix [in January 2015], available at:

http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=c32e74763f77675b9e144126e375977ed6dc562c

Vendor URL:  www.openldap.org/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 26 2015 (Ubuntu Issues Fix) OpenLDAP Null Pointer Dereference in deref_parseCtrl() Lets Remote Users Deny Service
Ubuntu has issued a fix for Ubuntu 12.04 LTS, 14.04 LTS, 14.10, and 15.04.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC